################################################################################
#
#   iprior: Linear Regression using I-priors
#   Copyright (C) 2017  Haziq Jamil
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

#' \code{iprior}: Regression using priors with Fisher information covariance
#' kernels.
#'
#' The \code{iprior} package provides methods to perform and analyse I-prior
#' regression models. Estimation is done either via direct optimisation of the
#' log-likelihood or an EM algorithm.
#'
#' @section Author(s):
#'
#'   \strong{Maintainer}: Haziq Jamil
#'
#'   Contributors: \itemize{\item{Wicher Bergsma}}
#'
#' @seealso \url{http://phd.haziqj.ml/}
#'
#' @docType package
#' @name iprior_package
NULL
